0

We are in process of upgrading sitecore 8.2 update 7 (with DEF 1.4.1) to Sitecore 9.2

Do we need to upgrade DEF as v1.4.1 -> v2.0 -> v2.1 -> v3.0 OR Wpuld it be better to uninstall 1.4.1 and the install fresh 3.0 ? I am opting 2nd approach (uninstall and fresh install) as there is no upgrade package for DEF 2.0 when upgrading from DEF v1.4.1. Please suggest.

  • Which providers do you use with DEF? Do you use any custom pipelines or providers? – Artsem Prashkovich Sep 24 at 9:54
  • We have custom providers to read data from APIs – asheesh kumar Sep 25 at 14:23
2

Unfortunately there is no upgrade path 1.4 -> 2.0 So there is no option to just upgrade.

However most of the templates remain the same, with some additional fields, that usually have standard values.
So in my opinion the best option will be:
* serialize/package your custom provider and all tenant branches you've configured
* Uninstall DEF 1.3 and proceed with platform upgrade
* In your solution upgrade sitecore and DEF references to 9.2 and 3.0 ant fix all issues.
* Install DEF 3.0 on top of upgraded 9.2 and try to install your custom provider and tool.
I've just done some similar upgrade for open source DropBox provider, so you can use this little pull request as reference:
https://github.com/ianjohngraham/sitecorehackathon2017/pull/1/files

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.